<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Go](./bitburner.go.md) &gt; [opponentNextTurn](./bitburner.go.opponentnextturn.md)

## Go.opponentNextTurn() method

Returns a promise that resolves with the success or failure state of your last move, and the AI's response, if applicable. x:0 y:0 represents the bottom-left corner of the board in the UI.

**Signature:**

```typescript
opponentNextTurn(
    logOpponentMove?: boolean,
    playAsWhite?: boolean,
  ): Promise<{
    type: "move" | "pass" | "gameOver";
    x: number | null;
    y: number | null;
  }>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

logOpponentMove


</td><td>

boolean


</td><td>

_(Optional)_ optional, defaults to true. if false prevents logging opponent move


</td></tr>
<tr><td>

playAsWhite


</td><td>

boolean


</td><td>

_(Optional)_ optional. If true, waits to get the next move the black player makes. Intended to be used when playing as white when the opponent is set to "No AI"


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;{ type: "move" \| "pass" \| "gameOver"; x: number \| null; y: number \| null; }&gt;

a promise that contains if your last move was valid and successful, the opponent move's x and y coordinates (or pass) in response, or an indication if the game has ended

## Remarks

RAM cost: 0 GB

